#ifndef xy_vod_sdk_hpp
#define xy_vod_sdk_hpp

#include <stdio.h>
#include <stdint.h>

#ifdef __cplusplus
extern "C" {
#endif

int XY_SDK_INIT( const char* ak,const char* sk);

void XY_SDK_RELEASE();
    
int XY_SDK_REWRITE(const char* url, char* rewrite, uint32_t rewrite_len);

void XY_SDK_VERSION(char* ver, unsigned int ver_len);

void XY_SDK_LOG(int enable);

int XY_SDK_GET_INFO(const char* url, char* info, uint32_t info_len);

void XY_STOP_TASK(const char* url);

#ifdef __cplusplus
}
#endif

#endif /* xy_vod_sdk_hpp */
